Use Special:Log properly
Closed, DeclinedPublic

Description

The log is basically useless because it can't be filtered nor accessed from anywhere but [[Special:Log]] itself. This means that only experienced users knowing the obscurities of the tool can use it.

  1. Use the page as target, so that log entries show up if you click "View logs for this page" from the history; must be hidden by default, like patrol and review.
  2. Put the feedback item ID somewhere, maybe recycling the tags, so that one can also see the subset of the log pertaining to a single feedback item. (This would also solve bug 44371 perfectly but it's not the only way, I suppose.)

Version: master
Severity: normal

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz44377.
Nemo_bis created this task.Via LegacyJan 26 2013, 12:18 PM
Nemo_bis added a comment.Via ConduitAug 11 2013, 2:05 PM

The filtering by performer is also broken (for unregistered users), according to https://en.wikipedia.org/w/index.php?title=Wikipedia_talk:Article_Feedback_Tool/Version_5&diff=567992883&oldid=567792462

Nemo_bis added a comment.Via ConduitAug 28 2013, 4:39 AM

On the bright side, the new logging for (dis)activation of AFT works perfectly. https://en.wikipedia.org/w/index.php?title=Special:Log&page=Good+Night+%28The+Simpsons+short%29
Awesome. :)

gerritbot added a comment.Via ConduitSep 20 2013, 9:42 PM

Change 85338 had a related patch set uploaded by Jackmcbarn:
When logging feedback, use the page as the target

https://gerrit.wikimedia.org/r/85338

Jackmcbarn added a comment.Via ConduitSep 20 2013, 10:09 PM

I've established that not being able to filter for IPs is a core problem, not an AFT5 problem.

Jackmcbarn added a comment.Via ConduitDec 25 2013, 1:22 AM

Filtering by performer is fixed in latest git. Filtering by page remains broken.

Nemo_bis added a comment.Via ConduitDec 25 2013, 8:41 AM

(In reply to comment #5)

Filtering by performer is fixed in latest git. Filtering by page remains
broken.

Thanks! I've taken some time to clarify the background in bug 58956 and I'm raising priority of this report as well for clarity.

Aklapper added a comment.Via ConduitFeb 28 2014, 4:37 PM

[Lowering priority to reflect reality, as AFTv5 is not very actively being worked on anymore.]

gerritbot added a comment.Via ConduitMar 3 2014, 7:21 PM

Change 85338 abandoned by Jackmcbarn:
When logging feedback, use the page as the target

https://gerrit.wikimedia.org/r/85338

Jdforrester-WMF closed this task as "Declined".Via WebMar 5 2015, 10:03 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

All development work on AbuseFilter v.5 (and indeed, previous versions) is halted. The project is archived, so having open tasks is inappropriate. Consequently, I'm closing all tasks.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.